Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 851793 - Review Request: mingw-fftw - MinGW Fast Fourier Transform library
Summary: Review Request: mingw-fftw - MinGW Fast Fourier Transform library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 970410
TreeView+ depends on / blocked
 
Reported: 2012-08-25 21:28 UTC by Thomas Sailer
Modified: 2016-08-14 16:23 UTC (History)
4 users (show)

Fixed In Version: mingw-fftw-3.3.3-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-15 23:28:30 UTC
erik-fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Sailer 2012-08-25 21:28:55 UTC
Spec URL: http://sailer.fedorapeople.org/mingw-fftw.spec
SRPM URL: http://sailer.fedorapeople.org/mingw-fftw-3.3.1-1.fc17.src.rpm
Description:
MinGW Fast Fourier Transform library

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Comment 1 Thomas Sailer 2013-01-19 15:36:17 UTC
Updated to 3.3.3:

Spec URL: http://sailer.fedorapeople.org/mingw-fftw.spec
SRPM URL: http://sailer.fedorapeople.org/mingw-fftw-3.3.3-1.fc18.src.rpm

Comment 2 Steve 2013-06-03 03:39:16 UTC
I too would like to see this package included.
The trunk version of Mixxx just gained a dependency on libchromaprint, which uses fftw, so I needed to build fftw.
fedora-review shows no issues, and rpmlint is completely clean.

Comment 3 Erik van Pienbroek 2013-08-03 20:08:45 UTC
Taking for review

* The BuildRoot tag can be removed (unless you still want to support RHEL5)
* The %clean section can also be removed
* The %defattr lines can also be removed
* There are some commented out commands in the spec file. If they're not needed, please remove them
* %{mingw_configure} and %{mingw_make} can be rewritten to %mingw_configure and %mingw_make

Comment 4 Thomas Sailer 2013-08-05 16:28:59 UTC
Thanks Erik!

I have updated the package according to your comments:

Spec URL: http://sailer.fedorapeople.org/mingw-fftw.spec
SRPM URL: http://sailer.fedorapeople.org/mingw-fftw-3.3.3-2.fc19.src.rpm

Comment 5 Erik van Pienbroek 2013-08-05 18:55:06 UTC
$ rpmlint mingw-fftw.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw-fftw-3.3.3-2.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-fftw-3.3.3-2.fc19.noarch.rpm mingw32-fftw-static-3.3.3-2.fc19.noarch.rpm mingw64-fftw-3.3.3-2.fc19.noarch.rpm mingw64-fftw-static-3.3.3-2.fc19.noarch.rpm
mingw32-fftw-static.noarch: W: no-documentation
mingw64-fftw-static.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


$ rpm --query --requires mingw32-fftw
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 95
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(msvcrt.dll)
mingw32-pkg-config
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-fftw
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 95
mingw64(kernel32.dll)
mingw64(msvcrt.dll)
mingw64-pkg-config
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-fftw-static
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-fftw-static
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-fftw
mingw32-fftw = 3.3.3-2.fc19
mingw32(libfftw3-3.dll)
mingw32(libfftw3f-3.dll)
mingw32(libfftw3l-3.dll)

$ rpm --query --provides mingw64-fftw
mingw64-fftw = 3.3.3-2.fc19
mingw64(libfftw3-3.dll)
mingw64(libfftw3f-3.dll)
mingw64(libfftw3l-3.dll)

$ rpm --query --provides mingw32-fftw-static
mingw32-fftw-static = 3.3.3-2.fc19

$ rpm --query --provides mingw64-fftw-static
mingw64-fftw-static = 3.3.3-2.fc19


$ wget --quiet http://www.fftw.org/fftw-3.3.3.tar.gz -O - | md5sum
0a05ca9c7b3bfddc8278e7c40791a1c2  -
$ md5sum fftw-3.3.3.tar.gz 
0a05ca9c7b3bfddc8278e7c40791a1c2  fftw-3.3.3.tar.gz


+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[!] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[!] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[/] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[!] Requires of the binary mingw32 and mingw64 packages are equal


The mingw32 package seems to depend on libgcc_s_sjlj-1.dll while the mingw64
package doesn't. I've also seen this on various other packages so we can
ignore this for now

The BuildRequires: mingw32-filesystem mingw64-filesystem should be versioned (to >= 95).
Please fix this before importing this package in Fedora


================================================
 The package mingw-fftw is APPROVED by epienbro
================================================

Comment 6 Thomas Sailer 2013-08-05 19:52:17 UTC
Thanks Erik!

New Package SCM Request
=======================
Package Name: mingw-fftw
Short Description: MinGW Windows Fast Fourier Transform library
Owners: sailer
Branches: f18 f19
InitialCC:

Comment 7 Gwyn Ciesla 2013-08-05 20:12:14 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-08-05 22:21:11 UTC
mingw-fftw-3.3.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-fftw-3.3.3-2.fc18

Comment 9 Fedora Update System 2013-08-05 22:21:22 UTC
mingw-fftw-3.3.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-fftw-3.3.3-2.fc19

Comment 10 Fedora Update System 2013-08-06 23:35:51 UTC
mingw-fftw-3.3.3-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 11 Fedora Update System 2013-08-15 23:28:30 UTC
mingw-fftw-3.3.3-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2013-08-15 23:28:55 UTC
mingw-fftw-3.3.3-2.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.